ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
BTPCodec Class Reference

`#include <BTPCodec.hh>`

Inheritance diagram for BTPCodec:

## Public Types
enum | BtpType { btpA, btpB }

## Public Member Functions
| BTPCodec ()
virtual | ~BTPCodec ()
virtual int | encode (const LibItsBtp__TypesAndValues::BtpPacket &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, LibItsBtp__TypesAndValues::BtpPacket &, Params *params=NULL)
| Encode typed message into an octet string format. More...
void | set_btp_type (const BTPCodec::BtpType p_btp_type)
Public Member Functions inherited from Codec< LibItsBtp__TypesAndValues::BtpPacket, LibItsBtp__TypesAndValues::BtpPacket >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode_ (Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &decoding_buffer)

## Private Attributes
BtpType | _type

## Additional Inherited Members
Protected Attributes inherited from Codec< LibItsBtp__TypesAndValues::BtpPacket, LibItsBtp__TypesAndValues::BtpPacket >
Params * | _params

## Member Enumeration Documentation

## ◆ BtpType

enum BTPCodec::BtpType

Enumerator
btpA |
btpB |

## Constructor & Destructor Documentation

## ◆ BTPCodec()

BTPCodec::BTPCodec | ( |  | ) |
| inline

## ◆ ~BTPCodec()

virtual BTPCodec::~BTPCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int BTPCodec::decode | ( | const OCTETSTRING & | p_,
|  | LibItsBtp__TypesAndValues::BtpPacket & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< LibItsBtp__TypesAndValues::BtpPacket, LibItsBtp__TypesAndValues::BtpPacket >.

## ◆ decode_()

int BTPCodec::decode_ | ( | Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | decoding_buffer
| ) |  |
| private

## ◆ encode()

int BTPCodec::encode | ( | const LibItsBtp__TypesAndValues::BtpPacket & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< LibItsBtp__TypesAndValues::BtpPacket, LibItsBtp__TypesAndValues::BtpPacket >.

## ◆ encode_()

int BTPCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## ◆ set_btp_type()

void BTPCodec::set_btp_type | ( | const BTPCodec::BtpType | p_btp_type | ) |
| inline

## Member Data Documentation

## ◆ _type

BtpType BTPCodec::_type
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/BTPCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/BTPCodec.cc